Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.converters.extended
Class SubjectConverter

    java.lang.Object
      com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
          com.thoughtworks.xstream.converters.extended.SubjectConverter

All Implemented Interfaces:
  Converter, ConverterMatcher

    public class SubjectConverter

extends AbstractCollectionConverter

Converts a `Subject` instance. Note, that this Converter does only convert the contained Principals as it is done by JDK serialization, but not any credentials. For other behaviour you can derive your own converter, overload the appropriate methods and register it in the `XStream`.

Since:
  1.1.3
Author:
  Jörg Schaible

Constructor Summary
`SubjectConverter(Mapper mapper)`

Method Summary
`boolean` | `canConvert(Class type)` Determines whether the converter can marshall a particular type.
`void` | `marshal(Object source, HierarchicalStreamWriter writer, MarshallingContext context)` Convert an object to textual data.
`protected void` | `marshalPrincipals(Set principals, HierarchicalStreamWriter writer, MarshallingContext context)`
`protected void` | `marshalPrivateCredentials(Set privCredentials, HierarchicalStreamWriter writer, MarshallingContext context)`
`protected void` | `marshalPublicCredentials(Set pubCredentials, HierarchicalStreamWriter writer, MarshallingContext context)`
`protected void` | `marshalReadOnly(boolean readOnly, HierarchicalStreamWriter writer)`
`protected Set` | `populateSet(HierarchicalStreamReader reader, UnmarshallingContext context)`
`Object` | `unmarshal(HierarchicalStreamReader reader, UnmarshallingContext context)` Convert textual data back into an object.
`protected Set` | `unmarshalPrincipals(HierarchicalStreamReader reader, UnmarshallingContext context)`
`protected Set` | `unmarshalPrivateCredentials(HierarchicalStreamReader reader, UnmarshallingContext context)`
`protected Set` | `unmarshalPublicCredentials(HierarchicalStreamReader reader, UnmarshallingContext context)`
`protected boolean` | `unmarshalReadOnly(HierarchicalStreamReader reader)`

Methods inherited from class com.thoughtworks.xstream.converters.collections.AbstractCollectionConverter
`createCollection, mapper, readItem, writeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SubjectConverter

    public SubjectConverter(Mapper mapper)

Method Detail

### canConvert

    public boolean canConvert(Class type)

  Description copied from interface: `ConverterMatcher`
  Determines whether the converter can marshall a particular type.

  Specified by:
    `canConvert` in interface `ConverterMatcher`
  Specified by:
    `canConvert` in class `AbstractCollectionConverter`
  Parameters:
    `type` - the Class representing the object type to be converted

### marshal

    public void marshal(Object source,
                        HierarchicalStreamWriter writer,
                        MarshallingContext context)

  Description copied from interface: `Converter`
  Convert an object to textual data.

  Specified by:
    `marshal` in interface `Converter`
  Specified by:
    `marshal` in class `AbstractCollectionConverter`
  Parameters:
    `source` - The object to be marshalled.
    `writer` - A stream to write to.
    `context` - A context that allows nested objects to be processed by XStream.

### marshalPrincipals

    protected void marshalPrincipals(Set principals,
                                     HierarchicalStreamWriter writer,
                                     MarshallingContext context)

### marshalPublicCredentials

    protected void marshalPublicCredentials(Set pubCredentials,
                                            HierarchicalStreamWriter writer,
                                            MarshallingContext context)

### marshalPrivateCredentials

    protected void marshalPrivateCredentials(Set privCredentials,
                                             HierarchicalStreamWriter writer,
                                             MarshallingContext context)

### marshalReadOnly

    protected void marshalReadOnly(boolean readOnly,
                                   HierarchicalStreamWriter writer)

### unmarshal

    public Object unmarshal(HierarchicalStreamReader reader,
                            UnmarshallingContext context)

  Description copied from interface: `Converter`
  Convert textual data back into an object.

  Specified by:
    `unmarshal` in interface `Converter`
  Specified by:
    `unmarshal` in class `AbstractCollectionConverter`
  Parameters:
    `reader` - The stream to read the text from.
  Returns:
    The resulting object.

### unmarshalPrincipals

    protected Set unmarshalPrincipals(HierarchicalStreamReader reader,
                                      UnmarshallingContext context)

### unmarshalPublicCredentials

    protected Set unmarshalPublicCredentials(HierarchicalStreamReader reader,
                                             UnmarshallingContext context)

### unmarshalPrivateCredentials

    protected Set unmarshalPrivateCredentials(HierarchicalStreamReader reader,
                                              UnmarshallingContext context)

### unmarshalReadOnly

    protected boolean unmarshalReadOnly(HierarchicalStreamReader reader)

### populateSet

    protected Set populateSet(HierarchicalStreamReader reader,
                              UnmarshallingContext context)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.